%define module_version 0.02
%define module_name Authen-OATH-KeyURI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(Convert/Base32.pm) perl(Module/Build/Tiny.pm) perl(Params/Validate.pm) perl(Test/More.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Key URI generator for mobile multi factor authenticator app
Group: Development/Perl
License: perl
URL: https://github.com/ritou/p5-authen-oath-keyuri

Source0: http://cpan.org.ua/authors/id/R/RI/RITOU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Authen::OATH::KeyURI generates a setting URL for software OTP authenticator.

Please refer to a document of Google for the details of parameter.

https://code.google.com/p/google-authenticator/wiki/KeyUriFormat


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/A*

%changelog
* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Sat Sep 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

